#
# ovirt-hosted-engine-setup -- ovirt hosted engine setup
# Copyright (C) 2013-2014 Red Hat, Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#

%global         engine rhevm
%global         package_version 1.1.2
%global         package_maven_version 1.1.0
%global         ovirt_hosted_engine_setup_templates %{_datadir}/%{name}/templates
%global         ovirt_hosted_engine_setup_scripts %{_datadir}/%{name}/scripts
%global         vdsmhooksdir %{_libexecdir}/vdsm/hooks
%define         enable_autotools 0


Summary:        RHEV-M hosted engine setup tool
Name:           ovirt-hosted-engine-setup
Version:        1.1.2
Release:        2%{?release_suffix}%{?dist}
License:        LGPLv2+
URL:            http://www.redhat.com/virtualization/rhev/server/
Source:         http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz
Group:          Applications/System

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       python
Requires:       python-ethtool >= 0.6-3
Requires:       otopi >= 1.2.0
Requires:       vdsm >= 4.14.0
Requires:       vdsm-cli >= 4.14.0
Requires:       vdsm-python >= 4.14.0
Requires:       ovirt-host-deploy >= 1.2.0
Requires:       openssh-server
Requires:       python-paramiko
Requires:       virt-viewer
Requires:       openssl
Requires:       sudo
Requires:       bind-utils
Requires:       ovirt-hosted-engine-ha >= 1.1.2
Requires:       sanlock >= 2.8
Requires:       sanlock-python >= 2.8
Requires:       lsof
Requires:       iptables
BuildRequires:  gettext
BuildRequires:  otopi-devtools >= 1.2.0
BuildRequires:  python2-devel

%if 0%{?enable_autotools}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
%endif

Requires:       %{engine}-sdk-python >= 3.4.0.5
Requires:       qemu-img-rhev >= 0.12.1.2-2.415

Patch1: 0001-packaging-branding-for-ovirt-hosted-engine-setup.patch

%description
Hosted engine tool for Red Hat Enterprise Virtualization.

%prep
%setup -q -n %{name}-%{package_version}
%patch1 -p1

%build
%if 0%{?enable_autotools}
./autogen.sh
%endif
%configure \
        --docdir="%{_docdir}/%{name}-%{version}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"

%files
%doc COPYING
%doc README
%dir %{_sysconfdir}/ovirt-hosted-engine-setup.env.d
%dir %{_sysconfdir}/ovirt-hosted-engine
%dir %{_localstatedir}/log/ovirt-hosted-engine-setup
%{_sbindir}/hosted-engine
%{_sbindir}/%{name}
%{python_sitelib}/ovirt_hosted_engine_setup/
%{_datadir}/%{name}/
%{_mandir}/man8/*

#move to a separate package?
%{vdsmhooksdir}/before_vm_start/

%changelog
* Fri Mar 28 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.2-2
- Fixed depencies on rhevm-sdk-python

* Mon Mar 24 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.2-1
- Rebase on upstream 1.1.2
- Resolves: BZ#1069945
- Resolves: BZ#1077150
- Resolves: BZ#1079943

* Mon Mar 17 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.1-2
- Resolves: BZ#1034634
- Resolves oVirt: BZ#1058438

* Tue Mar 11 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.1-1
- Rebase on upstream 1.1.1-1
- Resolves: BZ#1034634

* Thu Feb 27 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.0-1
- Rebase on upstream 1.1.0-1
- Resolves oVirt: BZ#1057139
- Resolves oVirt: BZ#1065269
- Resolves: BZ#1034726

* Fri Feb  7 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 1.1.0-0.0.ovirtbeta2
- Rebase on upstream 1.1.0_beta2
- Resolves: BZ#1024710
- Resolves: BZ#1034788
- Resolves: BZ#1044889
- Resolves: BZ#1044920
- Resolves: BZ#1044895

